Subject: Re: new link failing on duplicate names in different namespaces

From: Nicolas Dichtel <[email-masked]>
Date: Thu, 26 Feb 2015 15:40:33 +0100

Le 26/02/2015 14:55, Eric W. Biederman a écrit :
[snip]
>
> We can not give the guarantee that a new network device will only live
> in and have a unique name in a single network namespace until we get
> rid of dev_change_net_namespace in the code.
In fact in case of IFLA_LINK_NETNSID, with Cong's patch, we will first check
that the name is unique in link_net and after dev_change_net_namespace() will
check that the name is also unique in the final net, else the command will fail
(and the device is not created).